package com.qmth.teachcloud.mark.dto.mark.mark;

/**
 * 评卷提交结果状态
 */
public class SubmitResult {

    private boolean success;

    private Long examId;
    private String paperNumber;
    private Long studentId;

    public static SubmitResult faile() {
        return new SubmitResult(false, null, null, null);
    }

    public static SubmitResult success(Long examId, String paperNumber, Long studentId) {
        return new SubmitResult(true, examId, paperNumber, studentId);
    }

    private SubmitResult(boolean success, Long examId, String paperNumber, Long studentId) {
        this.success = success;
        this.examId = examId;
        this.paperNumber = paperNumber;
        this.studentId = studentId;
    }

    public boolean isSuccess() {
        return success;
    }

    public Long getStudentId() {
        return studentId;
    }

    public Long getExamId() {
        return examId;
    }

    public String getPaperNumber() {
        return paperNumber;
    }
}
